gnutls_x509_crt_get_subject_unique_id(3)

NAME
gnutls_x509_crt_get_subject_unique_id - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_subject_unique_id(gnutls_x509_crt_t crt, char * buf, size_t * buf_size);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

char * buf
    user allocated memory buffer, will hold the unique id

size_t * buf_size
    size of user allocated memory buffer (on input), will hold actual size of the unique ID on return.

DESCRIPTION
This function will extract the subjectUniqueID value (if present) for the given certificate. If the user allocated memory buffer is not large enough to hold the full subjectUniqueID, then a GNUTLS_E_SHORT_MEMORY_BUFFER error will be returned, and buf_size will be set to the actual length. This function had a bug prior to 3.4.8 that prevented the setting of NULL buf to discover the buf_size . To use this function safely with the older versions the buf must be a valid buffer that can hold at least a single byte if buf_size is zero.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/